CREATE TABLE fnd_ca_environment_dim (
    ID                   VARCHAR2(1024),
    ENV_NAME             VARCHAR2(1600),
    ENV_TYPE             VARCHAR2(800) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    ID                   VARCHAR2(1024),
    ENV_NAME             VARCHAR2(1600),
    ENV_TYPE             VARCHAR2(800) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_fnd_ca_environment_dim PRIMARY KEY (ID, ID)
);
